New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Calendar only showing year from 2008 #2091

Closed
piyush-ampersand opened this Issue Sep 4, 2018 · 6 comments

Comments

Projects
None yet
2 participants
@piyush-ampersand

piyush-ampersand commented Sep 4, 2018

Version

0.7.1

Environment

The calendar only gives option to select the year greater than 2008 and upto 2027

Reproduction link

https://stackblitz.com/edit/ng-zorro-antd-start-ukyito

Steps to reproduce

No reproduction needed as with basic calendar the issue persist. Ideally user should be able to select any year.

What is expected?

User should be able to select dates before 2008 and 2027 also

What is actually happening?

User is only able to choose dates between 2008 and 2027

Other?

@piyush-ampersand

This comment has been minimized.

piyush-ampersand commented Sep 4, 2018

@vthinkxie Hey don't you think this is a requirement since by default a calendar should not be bounded and should give user the freedom of selecting any date just like datepicker

@vthinkxie

This comment has been minimized.

Member

vthinkxie commented Sep 4, 2018

@piyush-ampersand will be supported in next version.

@piyush-ampersand

This comment has been minimized.

piyush-ampersand commented Sep 4, 2018

@vthinkxie Ok I understand, can you tell me how to restrict the years/months in calendar as I only want to show upcoming three months calendar but all previous months?

vthinkxie added a commit to vthinkxie/ng-zorro-antd that referenced this issue Sep 15, 2018

@vthinkxie vthinkxie referenced this issue Sep 15, 2018

Merged

fix(module:calendar): fix calendar year list #2140

2 of 3 tasks complete

vthinkxie added a commit to vthinkxie/ng-zorro-antd that referenced this issue Sep 15, 2018

vthinkxie added a commit to vthinkxie/ng-zorro-antd that referenced this issue Sep 15, 2018

vthinkxie added a commit that referenced this issue Sep 17, 2018

@piyush-ampersand

This comment has been minimized.

piyush-ampersand commented Sep 17, 2018

@vthinkxie Thank you for your support. So should I update my npm package now , will it available??

@vthinkxie

This comment has been minimized.

Member

vthinkxie commented Sep 17, 2018

@piyush-ampersand please wait until the next version released

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment